# glViewer

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO

### SYNOPSIS

    glViewer
    [-d isolation level]
    [-c animation loops]
    [-f]
    [-axis]
    objfile(s)

### DESCRIPTION

`glViewer` is a stand-alone application that showcases the application of uniform and feature adaptive subdivision schemes to a collection of geometric shapes. Multiple controls are available to experiment with the algorithms.

### OPTIONS

-d isolation level
  Select the desired isolation level of adaptive feature isolation. This can be useful when trying to load large pieces of geometry.
-c animation frequency
  Number of repetitions of the animation loop (default=0 is infinite)
-f
  Launches the application in full-screen mode (if is supported by GLFW on the OS)
-axis
  Swap Y-up / Z-up axis when loading obj files
objfile(s)
  A sequence of obj files used as an animation loop (the topology has to match the data contained in all the ptex files !)

### SEE ALSO

Other examples : glViewer, glShareTopology, glStencilViewer, glPtexViewer, glEvalLimit, glFVarViewer, dxViewer, dxPtexViewer,

- User Docs
- API Docs
- Release Notes
- Forum